Skip to main content
POST
/
api
/
loyalty
/
badges
/
{id}
/
revoke
Revoke badge from account
curl --request POST \
  --url https://admin.snagsolutions.io/api/loyalty/badges/{id}/revoke \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "userId": "123e4567-e89b-12d3-a456-426614174333",
  "walletAddress": "0x1234567890abcdef1234567890abcdef12345678",
  "status": "revoked"
}
'
import requests

url = "https://admin.snagsolutions.io/api/loyalty/badges/{id}/revoke"

payload = {
"userId": "123e4567-e89b-12d3-a456-426614174333",
"walletAddress": "0x1234567890abcdef1234567890abcdef12345678",
"status": "revoked"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '123e4567-e89b-12d3-a456-426614174333',
walletAddress: '0x1234567890abcdef1234567890abcdef12345678',
status: 'revoked'
})
};

fetch('https://admin.snagsolutions.io/api/loyalty/badges/{id}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "loyaltyBadgeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}
"Forbidden, Could not validate api key"
{
"message": "Not found"
}
{
"success": false,
"message": "Internal server error",
"debugInfo": "Stack trace or additional error details"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string<uuid>
required

UUID of the badge (converted to lowercase)

Example:

"123e4567-e89b-12d3-a456-426614174333"

Body

application/json

Body

Schema for a update user badge schema

userId
string<uuid>

UUID of the user (converted to lowercase)

Example:

"123e4567-e89b-12d3-a456-426614174333"

walletAddress
string

Validated and formatted wallet address

Example:

"0x1234567890abcdef1234567890abcdef12345678"

status
enum<string>

Status of the badge

Available options:
active,
inactive,
revoked
Example:

"revoked"

Response

200

Response returned upon successful update of the user badge

message
string
required

The message returned upon update of the badge

data
object
required